## org.biojava.bio.seq.io.agave
Interface AGAVEBioSeqCallbackItf

All Known Implementing Classes:
  AGAVEBioSeqHandler

    public interface AGAVEBioSeqCallbackItf

An interface that can be tested for by nested handlers when trying to do a callback. This one handles callbacks from nested elements that determine strandedness of a nesting element.

Author:
  Hanning Ni Doubletwist Inc

Method Summary
`void` `reportDna(String dna)`
`void` `reportFeature(Location loc)` Allows nesting class that manages a gene template to gain information about its extent from nested elements.
`void` `reportStrand(StrandedFeature.Strand strand)`

Method Detail

### reportFeature

    void reportFeature(Location loc)

  Allows nesting class that manages a gene template to gain information about its extent from nested elements. Strand is reported separately as some gene features may not have strand.

### reportStrand

    void reportStrand(StrandedFeature.Strand strand)

### reportDna

    void reportDna(String dna)